Subject: IO from bash disappears...
From: [email-masked]

19 May 1998 08:40:43 -0700
Message-ID: <[email-masked]>
To: [email-masked]

I've look in the FAQ and a brief tour in the mailing lists. Its probably
there but needs to be "in my face" a bit more ;-).
Andyway - If I run a "certain" program from cmd.exe it works fine. If I run
 it from sh it barfs.
The program is MSVC link.

From CMD.EXE it prompts for files etc. as follows (ignore the fatal error -
 thats just me hitting return)

------------
C:\>k:\general\msvc\bin\link

Microsoft (R) Segmented Executable Linker  Version 5.60.339 Dec  5 1994
Copyright (C) Microsoft Corp 1984-1993.  All rights reserved.

Object Modules [.obj]:
Object Modules [.obj]:
LINK : fatal error L1020: no object files specified
------------

From bash  I get the following: (ie no interaction at all )

------------
C:\>sh
sh-2.01$ //k/general/msvc/bin/link
sh-2.01$
------------

What gives?
rgds
Andy L.

env output below :

bash-2.01$ env
!C:=C:\alord
COMPUTERNAME=PC253
COMSPEC=C:\WINNT\system32\cmd.exe
CYGFS=C:/Cygnus/B19
CYGREL=B19
CYGROOT=C:\Cygnus\B19
DJGPP=C:\ANDY\APPS\DJGPP
GCC_EXEC_PREFIX=C:\Cygnus\B19\H-i386-cygwin32\lib\gcc-lib\
GDBTK_LIBRARY=C:/Cygnus/B19/share/gdbtcl
HOME=/andy
HOMEDRIVE=C:
HOMEPATH=\users\default
HOSTNAME=PC253
HOSTTYPE=i386
LOGNAME=alord
MACHTYPE=i386-pc-cygwin32
MAKE_MODE=unix
MIXPATH=C:\PI32
NUMBER_OF_PROCESSORS=1
NWLANGUAGE=English
ORACLE_PATH=.;..\libs;..\..\libs
OS2LIBPATH=C:\WINNT\system32\os2\dll;
OS=Windows_NT
OSTYPE=cygwin32
PATH=/Cygnus/B19/H-i386-cygwin32/bin:/bin:/WINNT/system32:/WINNT:/WINNT/sys
tem32
/nls/ENGLISH://k/general/msvc/bin:/bin:/orant/bin:/orawin/bin:/Z.:/Y.:/X.:/
ORAWIN/BIN:.
PATHEXT=.COM;.EXE;.BAT;.CMD
PGPPATH=C:\PGP
PROCESSOR_ARCHITECTURE=x86
PROCESSOR_IDENTIFIER=x86 Family 5 Model 2 Stepping 6, GenuineIntel
PROCESSOR_LEVEL=5
PROCESSOR_REVISION=0206
PROMPT=$P$G
SHELL=/bin/sh
SHLVL=1
SYSTEMDRIVE=C:
SYSTEMROOT=C:\WINNT
TCL_LIBRARY=C:\Cygnus\B19\share\tcl8.0\
TEMP=C:\TEMP
TERM=dumb
TMP=C:\TEMP
TZ=GMTGDT
USERDOMAIN=PC253
USERID=alord
USERNAME=alord
USERPROFILE=C:\WINNT\Profiles\alord
VIM=C:\andy\apps\vim
WINDIR=C:\WINNT
_=/Cygnus/B19/H-i386-cygwin32/bin/env
bash-2.01$

Earnie Boyd <[email-masked]> on 17-05-98 04:28:23 AM

Please respond to [email-masked]

To:   "Christopher G. Faylor" <[email-masked]>, [email-masked]
cc:    (bcc: Andy Lord/Tertio)
Subject:  Re: B19; supporting a DOS-path such as C:\a\b\c;C:\d\e\f;D:\g\h

Hi Christopher,
Are you saying that if I mount c:\cygnus\b19\H-i386-cygwin32\etc to
/etc and I use the Win32 native vim to edit /etc/termcap that vim
should see c:\cygnus\b19\H-i386-cygwin32\etc\termcap?
If the answer is yes, was this a change made in b19?  I know that it
didn't work for b18.
Thanks,
Earnie.

---"Christopher G. Faylor" <[email-masked]> wrote:
>
> In article <[email-masked]>,
> Chris Callsen <[email-masked]> wrote:
> >Let me first say that I like using bash on windows (cmd.exe makes me
> >insane). Naturally, bash uses a Unix-style PATH for finding things.
> >However, when bash runs "native" Windows applications these see a
> >Unix-style PATH but expect a DOS style path. An example of this
would be
> >'nmake', or the Microsoft Tools (C compiler, linker, etc).
>
> cygwin32 changes the PATH environment variable into native Windows
format
> before every program invocation.  That means if you set your PATH
> to '//c/bin;//c/windows/system' and run a non-cygwin32 program, the
> program will see 'C:\BIN;C:\WINDOWS\SYSTEM' as the value of the PATH
> variable.
>
> If you are seeing any other behavior than this, then you're seeing a
> bug.  Please document the specific misbehavior and I'll try to fix it.
> --
> [email-masked]             "Everything has a boolean value, if you
stand
> http://www.cygnus.com/      far enough away from it."  -- Galena
Alyson Canada
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
>
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".